net.sf.okapi.common.exceptions

## Class OkapiFileNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.okapi.common.exceptions.OkapiException
        - - net.sf.okapi.common.exceptions.OkapiFileNotFoundException

- All Implemented Interfaces:
    java.io.Serializable

      public class OkapiFileNotFoundException
      extends OkapiException

  Signals that a document could not be found.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OkapiFileNotFoundException()` Creates an empty new OkapiFileNotFoundException object.
    `OkapiFileNotFoundException(java.lang.String message)` Creates a new OkapiFileNotFoundException object with a given message.
    `OkapiFileNotFoundException(java.lang.String message, java.lang.Throwable cause)` Creates a new OkapiFileNotFoundException object with a given message and a given parent exception cause.
    `OkapiFileNotFoundException(java.lang.Throwable cause)` Creates a new OkapiFileNotFoundException object with a given parent exception cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OkapiFileNotFoundException

          public OkapiFileNotFoundException()

      Creates an empty new OkapiFileNotFoundException object.

    - #### OkapiFileNotFoundException

          public OkapiFileNotFoundException(java.lang.String message)

      Creates a new OkapiFileNotFoundException object with a given message.
      Parameters:
        `message` - text of the message.

    - #### OkapiFileNotFoundException

          public OkapiFileNotFoundException(java.lang.Throwable cause)

      Creates a new OkapiFileNotFoundException object with a given parent exception cause.
      Parameters:
        `cause` - the parent exception cause.

    - #### OkapiFileNotFoundException

          public OkapiFileNotFoundException(java.lang.String message,
                                    java.lang.Throwable cause)

      Creates a new OkapiFileNotFoundException object with a given message and a given parent exception cause.
      Parameters:
        `message` - the message.
        `cause` - the cause.